

import java.util.ArrayList;
import java.lang.annotation.*;

public class JaDEN_Blank extends JaDEN implements emDependent{
	private ArrayList<emDependent> emDependents = new ArrayList<emDependent>();
	private static ArrayList<emDependent> emDependentsStatic = new ArrayList<emDependent>();

	public JaDEN_Blank(){
		super();
		
		super.emAddDependent(this);
		Evaluator.addInstance(this);
	}


	public void emAddDependent(emDependent depend){
		emDependents.add(depend);
	}

	public void emUpdate(Object obj, String property) {
		if(property.equals("mouseX")){}
		else if(property.equals("mouseY")){}
		else if(property.equals("mouseClickX")){}
		else if(property.equals("mouseClickY")){}
		else if(property.equals("mousePressed")){}
		else if(property.equals("picture")){}
		emTriggerUpdateJaDEN_Blank(property);
	}

	public void emUpdate(String property) {
	}

	private void emTriggerUpdateJaDEN_Blank(String property){
		for(int i = 0; i < emDependents.size(); i++){
			emDependents.get(i).emUpdate(this, property);
		}
	}

	public static void emTriggerUpdateStaticJaDEN_Blank(String property){
		for(int i = 0; i < emDependentsStatic.size(); i++){
			emDependentsStatic.get(i).emUpdate(property);
		}
	}

}
